Skip to main content
POST
/
app-event-subscriptions
/
{elementSelector}
/
refresh
Refresh app event subscription
curl --request POST \
  --url https://api.getmembrane.com/app-event-subscriptions/{elementSelector}/refresh \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "meta": {},
  "archivedAt": "<string>",
  "isDeactivated": true,
  "isReadOnly": true,
  "state": "BUILDING",
  "errors": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

elementSelector
string
required

Response

200 - application/json
id
string
required
name
string
required
meta
object
archivedAt
string
isDeactivated
boolean
isReadOnly
boolean
state
enum<string>
Available options:
BUILDING,
CLIENT_ACTION_REQUIRED,
CONFIGURATION_ERROR,
SETUP_FAILED,
READY,
DISCONNECTING
errors
object[]